Package org.apache.ignite.internal.management.tx

## Class TxVerboseInfo

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.management.tx.TxVerboseInfo

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class TxVerboseInfo
    extends IgniteDataTransferObject

Encapsulates all verbose info about transaction needed for --tx --info output.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
`TxVerboseInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `dhtNodeConsistentId()`
`void` `dhtNodeConsistentId​(Object dhtNodeConsistentId)`
`UUID` `dhtNodeId()`
`void` `dhtNodeId​(UUID dhtNodeId)`
`Object` `localNodeConsistentId()`
`void` `localNodeConsistentId​(Object locNodeConsistentId)`
`UUID` `localNodeId()`
`void` `localNodeId​(UUID locNodeId)`
`List<TxVerboseKey>` `localTxKeys()`
`void` `localTxKeys​(List<TxVerboseKey> locTxKeys)`
`Object` `nearNodeConsistentId()`
`void` `nearNodeConsistentId​(Object nearNodeConsistentId)`
`UUID` `nearNodeId()`
`void` `nearNodeId​(UUID nearNodeId)`
`List<TxVerboseKey>` `nearOnlyTxKeys()`
`void` `nearOnlyTxKeys​(List<TxVerboseKey> nearOnlyTxKeys)`
`GridCacheVersion` `nearXidVersion()`
`void` `nearXidVersion​(GridCacheVersion nearXidVer)`
`protected void` `readExternalData​(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`TxMappingType` `txMappingType()`
`void` `txMappingType​(TxMappingType txMappingType)`
`Map<Integer,​String>` `usedCacheGroups()`
`void` `usedCacheGroups​(Map<Integer,​String> usedCacheGroups)`
`Map<Integer,​String>` `usedCaches()`
`void` `usedCaches​(Map<Integer,​String> usedCaches)`
`protected void` `writeExternalData​(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxVerboseInfo

    public TxVerboseInfo()

### Method Detail

#### writeExternalData

    protected void writeExternalData​(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData​(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### nearXidVersion

    public GridCacheVersion nearXidVersion()

Returns:
  Near xid version.

#### nearXidVersion

    public void nearXidVersion​(GridCacheVersion nearXidVer)

Parameters:
  `nearXidVer` - New near xid version.

#### localNodeId

    public UUID localNodeId()

Returns:
  Local node id.

#### localNodeId

    public void localNodeId​(UUID locNodeId)

Parameters:
  `locNodeId` - New local node id.

#### localNodeConsistentId

    public Object localNodeConsistentId()

Returns:
  Local node consistent id.

#### localNodeConsistentId

    public void localNodeConsistentId​(Object locNodeConsistentId)

Parameters:
  `locNodeConsistentId` - New local node consistent id.

#### nearNodeId

    public UUID nearNodeId()

Returns:
  Near node id.

#### nearNodeId

    public void nearNodeId​(UUID nearNodeId)

Parameters:
  `nearNodeId` - New near node id.

#### nearNodeConsistentId

    public Object nearNodeConsistentId()

Returns:
  Near node consistent id.

#### nearNodeConsistentId

    public void nearNodeConsistentId​(Object nearNodeConsistentId)

Parameters:
  `nearNodeConsistentId` - New near node consistent id.

#### txMappingType

    public TxMappingType txMappingType()

Returns:
  Tx mapping type.

#### txMappingType

    public void txMappingType​(TxMappingType txMappingType)

Parameters:
  `txMappingType` - New tx mapping type.

#### dhtNodeId

    public UUID dhtNodeId()

Returns:
  Dht node id.

#### dhtNodeId

    public void dhtNodeId​(UUID dhtNodeId)

Parameters:
  `dhtNodeId` - New dht node id.

#### dhtNodeConsistentId

    public Object dhtNodeConsistentId()

Returns:
  Dht node consistent id.

#### dhtNodeConsistentId

    public void dhtNodeConsistentId​(Object dhtNodeConsistentId)

Parameters:
  `dhtNodeConsistentId` - New dht node consistent id.

#### usedCaches

    public Map<Integer,​String> usedCaches()

Returns:
  Used caches.

#### usedCaches

    public void usedCaches​(Map<Integer,​String> usedCaches)

Parameters:
  `usedCaches` - New used caches.

#### usedCacheGroups

    public Map<Integer,​String> usedCacheGroups()

Returns:
  Used cache groups.

#### usedCacheGroups

    public void usedCacheGroups​(Map<Integer,​String> usedCacheGroups)

Parameters:
  `usedCacheGroups` - New used cache groups.

#### localTxKeys

    public List<TxVerboseKey> localTxKeys()

Returns:
  Local tx keys.

#### localTxKeys

    public void localTxKeys​(List<TxVerboseKey> locTxKeys)

Parameters:
  `locTxKeys` - New local tx keys.

#### nearOnlyTxKeys

    public List<TxVerboseKey> nearOnlyTxKeys()

Returns:
  Near only tx keys.

#### nearOnlyTxKeys

    public void nearOnlyTxKeys​(List<TxVerboseKey> nearOnlyTxKeys)

Parameters:
  `nearOnlyTxKeys` - New near only tx keys.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`